CVE-2003-0136
CVSS2.1
发布时间 :2003-05-05 00:00:00
修订时间 :2008-09-10 15:18:02
NMCOS    

[原文]psbanner in the LPRng package allows local users to overwrite arbitrary files via a symbolic link attack on the /tmp/before file.


[CNNVD]LPRng PSBanner以不安全方式建立临时文件漏洞(CNNVD-200305-008)

        
        LPRng是一款增强的、扩展的、移植的Berkeley LPR打印作业系统实现,可使用在多种操作系统下。
        LPRng包含的psbanner过滤器不安全建立临时文件,本地攻击者可以利用这个漏洞破坏系统文件,可能导致权限提升。
        psbanner是LPRng包含打印过滤程序,可以建立PostScript格式化标志(banner)信息。当配置成过滤程序用于调试目的的时候,程序没有检查文件是否存在或者已经连接到其他程序,会不安全直接建立临时文件,攻击者如果使用符号连接连接到系统重要文件,就可能导致重要文件覆盖或提升权限。
        

- CVSS (基础分值)

CVSS分值: 2.1 [轻微(LOW)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:astart_technologies:lprng:3.7.4
cpe:/o:astart_technologies:lprng:3.8.10.1
cpe:/o:astart_technologies:lprng:3.8.19
cpe:/o:astart_technologies:lprng:3.8.9

- OVAL (用于检测的技术细节)

oval:org.mitre.oval:def:423LPRng Symbolic Link Attack Vulnerability
*OVAL详细的描述了检测该漏洞的方法,你可以从相关的OVAL定义中找到更多检测该漏洞的技术细节。

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-0136
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-0136
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200305-008
(官方数据源) CNNVD

- 其它链接及资源

http://www.redhat.com/support/errata/RHSA-2003-142.html
(VENDOR_ADVISORY)  REDHAT  RHSA-2003:142
http://www.debian.org/security/2003/dsa-285
(VENDOR_ADVISORY)  DEBIAN  DSA-285
http://bugs.debian.org/cgi-bin/bugreport.cgi?archive=no&bug=188366
(UNKNOWN)  CONFIRM  http://bugs.debian.org/cgi-bin/bugreport.cgi?archive=no&bug=188366

- 漏洞信息

LPRng PSBanner以不安全方式建立临时文件漏洞
低危 访问验证错误
2003-05-05 00:00:00 2005-10-20 00:00:00
本地  
        
        LPRng是一款增强的、扩展的、移植的Berkeley LPR打印作业系统实现,可使用在多种操作系统下。
        LPRng包含的psbanner过滤器不安全建立临时文件,本地攻击者可以利用这个漏洞破坏系统文件,可能导致权限提升。
        psbanner是LPRng包含打印过滤程序,可以建立PostScript格式化标志(banner)信息。当配置成过滤程序用于调试目的的时候,程序没有检查文件是否存在或者已经连接到其他程序,会不安全直接建立临时文件,攻击者如果使用符号连接连接到系统重要文件,就可能导致重要文件覆盖或提升权限。
        

- 公告与补丁

        厂商补丁:
        Debian
        ------
        
        http://www.debian.org/security/2003/dsa-285

- 漏洞信息

12641
LPRng psbanner Symlink File Overwrite
Local Access Required Race Condition

- 漏洞描述

Unknown or Incomplete

- 时间线

2003-04-13 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

LPRng PSBanner Insecure Temporary File Creation Vulnerability
Access Validation Error 7334
No Yes
2003-04-14 12:00:00 2009-07-11 09:06:00
Discovery of this vulnerability has been credited to Karol Lewandowski.

- 受影响的程序版本

RedHat Linux Advanced Work Station 2.1
RedHat Enterprise Linux WS 2.1
RedHat Enterprise Linux ES 2.1
Red Hat Enterprise Linux AS 2.1
AStArt Technologies LPRng 3.8.19
+ RedHat Linux 9.0 i386
+ Terra Soft Solutions Yellow Dog Linux 3.0
AStArt Technologies LPRng 3.8.12
+ Gentoo Linux 1.4 _rc3
+ Gentoo Linux 1.4 _rc2
+ MandrakeSoft Corporate Server 2.1
+ Mandriva Linux Mandrake 9.0
AStArt Technologies LPRng 3.8.10 .1
AStArt Technologies LPRng 3.8.9
+ RedHat Linux 8.0
+ RedHat Linux 7.3
AStArt Technologies LPRng 3.8.6
+ Mandriva Linux Mandrake 8.2 ppc
+ Mandriva Linux Mandrake 8.2
AStArt Technologies LPRng 3.7.4
+ RedHat Linux 7.2 ia64
+ RedHat Linux 7.2 i386
+ RedHat Linux 7.1
AStArt Technologies LPRng 3.6.24
+ Immunix Immunix OS 7+
AStArt Technologies LPRng 3.8.10 .1.2

- 不受影响的程序版本

AStArt Technologies LPRng 3.8.10 .1.2

- 漏洞讨论

LPRng psbanner filter has been reported prone to an insecure temporary file creation vulnerability.

Under certain configurations, the psbanner filter creates temporary files for debugging purposes, in an insecure manner.

This vulnerability may lead to symbolic link attacks within the context of the user running the vulnerable utility.

- 漏洞利用

There is no exploit required.

- 解决方案

Yellow Dog Linux has released an advisory (YDU-20030602-5) and fixes to address this issue. Users are recommended to run the 'apt-get' utility by issuing the following commands.

apt-get update
apt-get install LPRng

Debian have released an advisory (DSA 285-1) and fixes to address this issue. Further information on how to obtain and supply fixes can be found in the attached Debian advisory.

Red Hat has released a security advisory (RHSA-2003:142-01) containing fixes which address this issue. Users are advised to upgrade as soon as possible.

Red Hat has released an advisory (RHSA-2003:150-04). Updated packages are available through the Red Hat Network (http://rhn.redhat.com/).

Immunix has released a security advisory (IMNX-2003-7+-013-01) containing a fix to address this issue.

Gentoo Linux has released an advisory. Users who have installed net-print/lprng are advised to upgrade to lprng-3.8.12-r1 by issuing the following commands:

emerge sync
emerge lprng
emerge clean

Fixes:


AStArt Technologies LPRng 3.6.24

AStArt Technologies LPRng 3.7.4

AStArt Technologies LPRng 3.8.10 .1

AStArt Technologies LPRng 3.8.12

AStArt Technologies LPRng 3.8.19

AStArt Technologies LPRng 3.8.6

AStArt Technologies LPRng 3.8.9

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站